Home AMX User Forum NetLinx Studio

PASSBACK in duet modules doesn't work (w/Duet runtime 1.14.222 )

karageurkarageur Junior MemberPosts: 97
Recently i have installed Duet Runtime build 1.14.222 (on amx site called NetLinx Studio 1.14.222 SNAPI 1.14 Update).

One annoying bug came out.
Working with Russound CAV6.6 & Marantz CC4001 i have noticed that using "PASSBACK-1" command resolves Event error in Diag and strings from device didn't passthru the duet module.

Error it self looks like this - Line 19 (13:37:53)::SNAPIRouter ERROR: Process event failed! Event data value was nullModuleComponent: Process event failed! Event data value was nullModuleComponent.

Once i have returned version of Runtime/Platform to build 1.10.203 & returned the contents of
C:\Program Files\Common Files\AMXShare\Duet folder back - everything worked like a charm!

I suppose one shouldn't hurry with update of Duet Runtime/Platform for now ?

Comments

  • DHawthorneDHawthorne Old Timer Posts: 4,584
    Passback is handled by the module itself, so if it isn't working in one module, that doesn't mean it won't work in other modules. The problem would be with that specific module, not Duet in general. However, it is my considered opinion that 90% of the Duet modules out there can be done more efficiently, and work better, if written in NetLinx. Furthermore, at least half the Duet modules out there, including ones published by AMX, have fatal or at the least, horribly inconvenient, bugs like what you are mentioning. I simply don't use Duet modules if there is a NetLinx option anymore. If I absolutely had to, I would write my own.
  • karageurkarageur Junior Member Posts: 97
    I can't agree with you in fact that it's problem of modules it selves - I am sure that new library has some kind of mistakes.
    AFTER returning the Platform/Runtime I receive no Error messages in two duet modules and BEFORE any updatings they also worked perfectly.
    I would like if possible to receive opinions of specialists who also faced with such issue or just tryed to switch on PASSBACK function working with Duet Runtime build 1.14.222 .
  • Marc ScheibeinMarc Scheibein Junior Member Posts: 669
    This bug is located and will be fixed in a new release of the environment.

    If PASSBACK- is required and you don't need the new device classes implemented with 1.14, install Environment 1.10.203 again.
  • karageurkarageur Junior Member Posts: 97
    Thanks for your replies! I'm satisfied! :)
Sign In or Register to comment.